This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535827 - (RHQ-2483) Fast avail checking on the agent with lazy reporting
Fast avail checking on the agent with lazy reporting
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: 741450
  Show dependency treegraph
 
Reported: 2009-11-03 09:46 EST by Heiko W. Rupp
Modified: 2013-09-01 06:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-11-03 09:46:00 EST
Currently we are running availability scans on the agent, which is much too long for many users - even the default 60 seconds are often too long see comments on http://javablogs.com/Jump.action?id=534624 as example.

What we could do is on the agent side to run availability scans much more often and only send a partial availability report to the server if a resource is found that is down, which was not down in the previous run.
The regular reports with backfilling etc. would still run as is.

Those fast scans have the advantage of fast detection of possibly downed servers without clobbering the network or hammering the servers.
Comment 1 Red Hat Bugzilla 2009-11-10 16:05:18 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2483
Comment 2 wes hayutin 2010-02-16 16:07:59 EST
Mass move to component= Monitoring
Comment 3 Corey Welton 2010-10-06 23:33:37 EDT
Triaged 5-Oct
Comment 4 Jay Shaughnessy 2012-02-28 15:33:17 EST
I believe this has been addressed in the jshaughn/avail branch with
the ability to schedule resource avail checks as low as every 30 seconds.

http://rhq-project.org/display/RHQ/Design-Availability+Checking#Design-AvailabilityChecking-PrioritizedAvailChecking

Asking Heiko if he believes the essence of this bz has been resolved.
Comment 5 Heiko W. Rupp 2012-03-02 10:39:03 EST
I think the change mentioned in comment 4 does indeed what is requested here ( even if I still think that 30s minimum intervals may be too long )
Comment 6 Jay Shaughnessy 2012-03-30 16:38:48 EDT
This is in master.
Comment 7 Heiko W. Rupp 2013-09-01 06:06:47 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.